Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-03-2012 18:40:15

nervus70
Membre
Inscription : 12-03-2012

Problème pour supprimer php, et pour mettre une version antérieure

Bonjour à tous

je suis pas très expérimenté en config serveur donc j'ai un problème idiot mais je n'arrive pas a trouver de solutions... sad

Jusqu'à présent j'étais parvenu a me débrouiller pour configurer mon serveur kimsufi, mais récemment j'ai voulu tester php 5.4 et j'ai donc upgradé ma version.
Et les ennuis ont commencé, symfony ne tournais plus, donc j'ai pas réfléchis, je me suis dit, je vais remettre l'ancienne version, ah... problème comment ? Et bien j'y suis arrivé en désinstallant la version actuelle avec apt-get remove.

Ensutie après m'être arraché les cheveux j'ai trouvé ce site :

http://serverfault.com/questions/367885 … -in-debian

Et j'ai suivi la procédure, ok mais de un j'ai cette erreur dans mes sites maintenant :

Warning: ob_start(): function '' not found or invalid function name in ...


et de deux, il n'a pas installé php5-cli

me voila bien ennuyé.

J'ai donc tout essayer, aptitude install, apt-get install, mais un problème se pose.

IMPOSSIBLE de désinstaller le php que j'ai installé avec dpkg ! C'est un truc de fou j'ai tout esseyé, mon site tourne toujours lol.

Je ne sais plus quoi faire, je suis bloqué, et j'ai besoin de mon serveur pour mon nouveau boulot (apprendre symfony) j'avais passé tant de temps à le configurer, je suis dégouté.

Bref en résumé, tout ce que je veux, c'est effacer toute trace de php, et reinstaller la version 5.3 old stable que j'avais avant sad

Si une âme généreuse pouvait m'aiguiller, parce que là j'suis perdu...

merci d'avance à tous

Nervus

PS: je suis sous debian

Hors ligne

#2 12-03-2012 20:01:57

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Problème pour supprimer php, et pour mettre une version antérieure

Salut nervus70 et bienvenue sur df !

Il s'agirait que tu nous renseignes sur la branche debian que tu utilises, voir :
http://debian-facile.org/doc:systeme:ap … hes-debian

Et l'inscrire dans ton infodistri du Profil du forum, voir le tuto gagnant là :
http://debian-facile.org/atelier:indications-forum

Nous présenter une copie de ton sources.list.
Dans un terminal user, taper et valider généralement cette ligne :

cat /etc/apt/sources.list


Et nous donner copie du résultat.

Utilises-tu apache2 ?
As-tu pensé à le stopper avant que d'opérer la modification de version de php ?
http://debian-facile.org/doc:systeme:invoke-rc.d

invoke-rc.d apache2 stop


Utilises-tu  aptitude pour la gestion des paquets, voir :
http://debian-facile.org/manuel:commande_aptitude

Hop hop hop !

Amitié, Joel smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 12-03-2012 20:34:17

nervus70
Membre
Inscription : 12-03-2012

Re : Problème pour supprimer php, et pour mettre une version antérieure

smolski a écrit :

Salut nervus70 et bienvenue sur df !

Il s'agirait que tu nous renseignes sur la branche debian que tu utilises, voir :
http://debian-facile.org/doc:systeme:ap … hes-debian

Et l'inscrire dans ton infodistri du Profil du forum, voir le tuto gagnant là :
http://debian-facile.org/atelier:indications-forum

Nous présenter une copie de ton sources.list.
Dans un terminal user, taper et valider généralement cette ligne :

cat /etc/apt/sources.list


Et nous donner copie du résultat.

Utilises-tu apache2 ?
As-tu pensé à le stopper avant que d'opérer la modification de version de php ?
http://debian-facile.org/doc:systeme:invoke-rc.d

invoke-rc.d apache2 stop


Utilises-tu  aptitude pour la gestion des paquets, voir :
http://debian-facile.org/manuel:commande_aptitude

Hop hop hop !

Amitié, Joel smile


Bonjour smolski,

Un grand merci pour ta réponse.

Là je suis rentré chez moi et je pense que j'ai du bousiller tout car plus moyen de me connecter en ssh... bref y avait pas grand chose de vital voir rien, a part du temps perdu sad

J'ai relancé l'install via OVH.

Sinon a la base j'utilisais apt-get pour installer mes applications, mais la j'ai un peu tout essayé, aptitude compris. Ca n'a rien donné.

Oui j'utilisais apache2, mais je n'avais pas pensé qu'il fallait l'arrêter pour updater php... j'ai par contre tenté plusieurs restart.

J'ai cru comprendre que aptitude était mieux que apt-get, j'ai bon ?

Quand mon serveur sera installé, je vais devoir installer php5.3 et non 5.4, je reviens vers vous si je n'y arrive pas.

Encore merci d'avoir prit le temps de me lire!

Nervus @ Le gros noob en linux ^^

Dernière modification par nervus70 (12-03-2012 20:35:03)

Hors ligne

#4 12-03-2012 20:39:49

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Problème pour supprimer php, et pour mettre une version antérieure

J'ai cru comprendre que aptitude était mieux que apt-get, j'ai bon ?


aptitude offre plus de possibilités de gestion des paquets et montre ce que donne la commande que tu envoies, ce qui n'est pas rien pour ces 2 cas de gestion avisée.
Je te laisse la visite du lien concernant aptitude dans le post précédent.

Ne te gêne de rien pour intervenir sur le forum df !

Amitié, Joel smile

Edit :

Je suis sous squeeze, vois mon infodistri sous l'avatar.
Vois cette commande sur mon pc serveur :

$ apt-cache show php5
Package: php5
Priority: optional
Section: php
Installed-Size: 20
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Architecture: all
Version: 5.3.3-7+squeeze3
...


wink
Et le tuto aptcache ici :
http://debian-facile.org/doc:systeme:apt:apt-cache


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

Pied de page des forums